Bug 178644 - PerlSendHeader off doesn't work
PerlSendHeader off doesn't work
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mod_perl (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-22 19:25 EST by Joshua Weage
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:48:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Weage 2006-01-22 19:25:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
PerlSendHeader off is required for perl scripts that produce their own http headers.  The description of this option is available in the mod_perl documentation.

With EL 3, setting this option results in Apache sending the script output as text/plain, i.e. Apache is adding http and content type headers before sending the script output, which makes mod_perl unusable for scripts which require non parsed headers.

This doesn't happen with Apache 2.2.0 and mod_perl 2.0.2.

An easy way to test this is to write a very simple perl script which sends the following:

HTTP/1.1 200 OK
Content-Type: text/html

<html>
<body>
<h1>Testing</h1>
</body>
</html>

Run that in a directory with the PerlSendHeader off option set, and you will get the above as text in a browser.




Version-Release number of selected component (if applicable):
1.99.09-10

How reproducible:
Always

Steps to Reproduce:
1. Enable mod_perl and the PerlSendHeader off option
2. Setup a non parsed headers script
3. Receive output as text/plain in browser
  

Actual Results:  Script output transmitted as text/plain

Expected Results:  Apache should not be adding http/content-type headers.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:48:20 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.